Experiment: - Co-Assignees:

Description

There are several places in the code where error checking is done on a group of operations, and this can make debugging harder.

For example, there are places where a parameter is fetched from a parameter set and then used in some way, but the error message
doesn't distinguish between a problem with the parameter set or the use of the parameter.

And, there are other places where an exception catch-all block is used instead of catching different, known types of exceptions and
reporting the details of the known exceptions.

It would be nice to improve the known places where we have code like this.

History

#1 - 07/30/2015 03:36 PM - Kurt Biery
- Status changed from New to Resolved
- Target version set to vi_12_11

- Start date changed from 07/30/2015 to 06/30/2015

John has made the code changes for this.

#2 - 07/30/2015 03:52 PM - Kurt Biery

- Subject changed from Improve the lookup of parameters in FHICL fragments to better identify problems to Improve the reporting of problems when

various exceptional conditions occur

#3 - 07/30/2015 03:54 PM - Kurt Biery

- Description updated

#4 - 05/11/2016 01:28 PM - John Freeman

- Status changed from Resolved to Closed

Changes were introduced in release v1_12_11.
